<?php

include('../includes/hlava.php');
title('Klub priateľov fotografie', '../');

if ($link) {
  if ($db_selected) {
        	
include('../includes/vedla.php');
odkaz('../');
include('../includes/menu.php');
menu('tema', '../');
?>
            <ul class="menu pmenu">
              <li><a href="index.php" title="zadanie fototémy">Úvod</a></li>
              <li><a href="galeria.php" title="galeria fototémy">Galéria</a></li>
              <li><a href="archiv.php" title="staré fototémy">Archív</a></li>
          
<?php
if (!(isset($_SESSION['login']) && ($_SESSION['login'] != ""))) :
// pouzivatel sa musi prihlasit, treba zobrazit prihlasovaci formular
?>
<?
else :
// pouzivatel je prihlaseny
    ?>
              <li class="medzera">&nbsp;</li>
              <li><a href="vloz.php" class="aktual" title="vloženie fotky do fototémy">Vložiť fotografiu</a></li>
    
<?php
endif; // kontrola SESSION
        	
?>                    
          
            </ul>
        <div class="obsah">                
<?php

$sql = "SELECT C.nadpis, C.perex
        FROM kpf_clanky C
        WHERE C.kategoria = 'Fototéma'
        ORDER BY cas DESC
        LIMIT 1;";
$result = mysql_query($sql, $link);
    		if ($result) {
    		  $pocet = mysql_num_rows($result);
    		  if ($pocet != '0') {
    		    $zobraz2 = true;
    		    $row = mysql_fetch_assoc($result);
            $names =  explode("; ",$row['perex']);
    		    $nazov = $row['nadpis'];
          } else $zobraz2 = false;
    		}


  		if (isset($_POST['submit'])) {
  		  $size = getimagesize($_FILES['foto']['tmp_name']);
  			if (($size[0]<801) && ($size[1]<801) && isset($_POST["titul"]) && ($_POST["titul"] != "") && isset($_POST["kategoria"]) && ($_POST["kategoria"] != "NULL") && isset($_FILES['foto']) && ($_FILES['foto']['size'] < 153600)) {
        $nazov = 'xxx'; 
      	if (isset($_FILES['foto'])) :
      	  if ($_FILES['foto']['error'] == UPLOAD_ERR_OK) {
      			if (is_uploaded_file($_FILES['foto']['tmp_name'])) {
      				$nazov = $_FILES['foto']['name'];
      			}
      		} elseif ($_FILES['foto']['error'] != UPLOAD_ERR_NO_FILE) { 
               echo '<p style="color: #FF0000;">Foto NEbolo prenesené, nastal problém pri uploadovaní súboru. Chyba č. ' . $_FILES['obr']['error'] . '</p>';
      	   	   $zobraz = true;
          }
      	endif;

        if ($nazov !== 'xxx') {
              $sql = "INSERT INTO kpf_tema_photos (id,aid,foto,nazov,kategoria,tech,pozn,pridane) VALUES (NULL, '". $_SESSION['aid'] . "', '".$nazov."', '". $_POST['titul'] ."', '".$_POST['kategoria']."', '". $_POST['tech'] ."', '". $_POST['pozn'] ."', NOW());";
           		$result = mysql_query($sql, $link);
           		if ($result) {
                echo '<p><strong>Fotografia bola odoslaná.</strong></p>';
                      
          		} else {
        				echo '<p style="color: #FF0000;">Fotografia NEbola odoslaná, nastal problém pri zápise do databázy - ' . mysql_errno($link) . ': ' . mysql_error($link) . '</p>';                
              }
              $cislo = mysql_insert_id();
      			  $nazov = $_SESSION['aid'] . '-' . $cislo . '.jpg';
      			  
                $size=getimagesize($_FILES['foto']['tmp_name']);
      			  
      			    $pomer = $size[0] / $size[1];
                $new_height = '100';
                $new_width = '100'*$pomer;
                
                if ($new_width>135){
                $pomer = $size[1]/$size[0];
                $new_width = '130';
                $new_height = '130'*$pomer;  
                }
                /* vytvorenie cieľového a zdrojového obrázku */
                $im = imagecreatetruecolor($new_width,$new_height);
                $res_im=imagecreatefromjpeg($_FILES['foto']['tmp_name']);
                /* kopírovanie oblasti do cieľového obázku */
                imagecopyresampled($im,$res_im,0,0,0,0,$new_width+1,$new_height+1,$size[0],$size[1]);
                /* zrušenie zdrojového obrázku */
                imagedestroy($res_im);                
                /* výstup náhľadu do suboru */
                imagejpeg($im, 'photos/small/'.$nazov, 90);      			  
      			  
      				move_uploaded_file($_FILES['foto']['tmp_name'], 'photos/' . $nazov);
      				$sql = "UPDATE kpf_tema_photos SET foto='".$nazov."' WHERE id=$cislo;";
           		$result = mysql_query($sql, $link);	
           		if ($result) {
                header("Location: index.php");                
              } else {
                   echo '<p style="color: #FF0000;">Fotografia sa už vo fotogalérii nachádza.</p>';                
              }	
        }
      } else {
        //neboli zadane vsetky potrebne udaje 
        if (isset($_POST["titul"]) && ($_POST["titul"] == "") OR isset($_POST["kategoria"]) && ($_POST["kategoria"] == "NULL")){
        echo '<p style="color: #FF0000;">Nezadali ste súbor s fotografiou alebo jej popis.</p>';
        }
        else {
        echo '<p style="color: #FF0000;">Bud ste nevlozili fotku, alebo nesplna kriteria.</p>';
        }
        $zobraz = true;
      }
      } else {
        if ($_SESSION['aid'] == 0){
        $zobraz = false;
        }
        else {
        $zobraz = true;
        }
      }
      
      
      if ($zobraz && $zobraz2) : 
      echo '<h2>'.$nazov.'</h2>';
      ?>          
              <p>Maximalna velkost <strong>800x800</strong> pixelov.<br/>
              Subor musi byt vo formate <strong>JPG</strong>.<br/>
              Nesmie byt vacsi ako <strong>150kb</strong>.<br/>
              <strong>Kazdy tyzden maximalne 5 fotiek.</strong></p>          
              <form class="login" action="<?php echo $_SERVER['REQUEST_URI'] ?>" method="post" enctype="multipart/form-data">
                <p class="form"><em class="bold">* Titulok fotky</em> <input name="titul" size="35" type="text" maxlength="30"/><br />
                <em class="bold">* Súbor</em> <input type="file" name="foto" size="35"/><input type="hidden" name="MAX_FILE_SIZE" value="1" /><br />
<?php
if (count($names) > '1'){
echo '                <em class="bold">* Kategória</em> <select name="kategoria">
                                                    <option value="NULL" selected="selected">Vyber kategoriu!</option>';
      foreach($names as $i => $z) {
        echo '                                                    <option value="'.$z.'">'.$z.'</option>
';
      }
      echo '                                                  </select><br />';
      }
      else echo '                <input type="hidden" name="kategoria" value="'.$names[0].'" />';
?></p><br /><p class="form">
                <em>Technické informácie</em>
                <textarea name="tech" cols="40" rows="4"></textarea><br />
                <em>Poznámky a odkazy</em>
                <textarea name="pozn" cols="40" rows="4"></textarea><br />
                <em class="bold">* povinné údaje</em></p>
                <input class="ok" name="submit" type="submit" id="submit" value="vložiť"/>
              </form>
              
              
      <?php
        else :
        if ($_SESSION['aid'] == 0){
      ?>
      <p>Vkladat fotky mozu len prihlaseni pouzivatelia.</p>
      
      <?php
      }
      endif; // kontrola SESSION  


        		}
          	mysql_close($link);
          } 

      
include('../includes/pata.php')  
      ?>    
